test:
	test -s solution

# BEGIN
setup: touch-vault-password-file install

install:
	ansible-galaxy role install -r requirements.yml
	ansible-galaxy collection install -r requirements.yml

touch-vault-password-file:
	touch vault-password

encrypt-vault:
	ansible-vault encrypt_string --vault-password-file vault-password $(VALUE) --name $(KEY)

deploy:
	ansible-playbook -i inventory.ini -v --vault-password-file vault-password playbook.yml
# END
